Package org.apache.maven.shared.osgi

# Interface Maven2OsgiConverter

All Known Implementing Classes:
  `DefaultMaven2OsgiConverter`

public interface Maven2OsgiConverter
Converter from Maven groupId,artifactId and versions to OSGi Bundle-SymbolicName and version

Version:
  $Id: Maven2OsgiConverter.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  Carlos Sanchez

## Method Summary

Modifier and Type
Method
Description
`String`
`getBundleFileName(org.apache.maven.artifact.Artifact artifact)`
`String`
`getBundleSymbolicName(org.apache.maven.artifact.Artifact artifact)`
Get the OSGi symbolic name for the artifact
`String`
`getVersion(String version)`
Convert a Maven version into an OSGi compliant version
`String`
`getVersion(org.apache.maven.artifact.Artifact artifact)`
Convert a Maven version into an OSGi compliant version

## Method Details

### getBundleSymbolicName

String getBundleSymbolicName(org.apache.maven.artifact.Artifact artifact)
Get the OSGi symbolic name for the artifact

Parameters:
  `artifact` -
Returns:
  the Bundle-SymbolicName manifest property

### getBundleFileName

String getBundleFileName(org.apache.maven.artifact.Artifact artifact)

### getVersion

String getVersion(org.apache.maven.artifact.Artifact artifact)
Convert a Maven version into an OSGi compliant version

Parameters:
  `artifact` - Maven artifact
Returns:
  the OSGi version

### getVersion

String getVersion(String version)
Convert a Maven version into an OSGi compliant version

Parameters:
  `version` - Maven version
Returns:
  the OSGi version